%global _empty_manifest_terminate_build 0
Name:		python-webcolors
Version:	1.11.1
Release:	1
Summary:	A library for working with color names and color values formats defined by HTML and CSS.
License:	BSD 3-Clause
URL:		https://github.com/ubernostrum/webcolors
Source0:	https://files.pythonhosted.org/packages/a7/df/b97bf02a97bbd5ed874fec7c5418bf0dd51e8d042ac46bbf2bf5983e89fd/webcolors-1.11.1.tar.gz
BuildArch:	noarch


%description

``webcolors`` is a module for working with HTML/CSS color definitions.



%package -n python3-webcolors
Summary:	A library for working with color names and color values formats defined by HTML and CSS.
Provides:	python-webcolors
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
%description -n python3-webcolors

``webcolors`` is a module for working with HTML/CSS color definitions.


%package help
Summary:	Development documents and examples for webcolors
Provides:	python3-webcolors-doc
%description help

``webcolors`` is a module for working with HTML/CSS color definitions.




%prep
%autosetup -n webcolors-1.11.1

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-webcolors -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Mon Nov 23 2020 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated
